model_list:
  - model_name: openai-fake-gpt-3.5-turbo
    litellm_params:
      model: openai/openai-fake-gpt-3.5-turbo
      api_base: os.environ/MOCK_SERVER_URL_V1
      api_key: fake-key
  - model_name: openai-fake-gpt-4
    litellm_params:
      model: openai/openai-fake-gpt-4
      api_base: os.environ/MOCK_SERVER_URL_V1
      api_key: fake-key
  - model_name: openai-fake-gpt-4o
    litellm_params:
      model: openai/openai-fake-gpt-4o
      api_base: os.environ/MOCK_SERVER_URL_V1
      api_key: fake-key
  - model_name: fake-text-embedding-3-small
    litellm_params:
      model: openai/fake-text-embedding-3-small
      api_base: os.environ/MOCK_SERVER_URL_V1
      api_key: fake-key
  - model_name: o3-mini-batch-2025-01-31
    litellm_params:
      model: openai/o3-mini-batch-2025-01-31
      api_base: os.environ/MOCK_SERVER_URL_OPENAI_V1
      api_key: fake-key
    model_info:
      mode: batch
  - model_name: azure-fake-gpt-5-batch-2025-08-07
    litellm_params:
      api_base: http://0.0.0.0:8090
      api_key: fake-key
      api_version: 2025-03-01-preview
      base_model: azure/gpt-5
      model: azure/gpt-5-mini
      custom_llm_provider: azure

general_settings:
  master_key: sk-1234
  database_url: os.environ/DATABASE_URL
  proxy_batch_polling_interval: 10

litellm_settings:
  drop_params: true
  set_verbose: true
  json_logs: true
  # S3 callback for batch completion logging (points to mock server)
  callbacks: ["s3_v2"]
  s3_callback_params:
    s3_bucket_name: litellm-test-bucket
    s3_region_name: us-east-1
    s3_endpoint_url: http://0.0.0.0:8090
    s3_aws_access_key_id: fake-key
    s3_aws_secret_access_key: fake-secret
    s3_use_ssl: false
    s3_verify: false